routes/web.php
<?php

Auth::routes();

Route::get('/', 'WelcomeController@welcome');

Route::get('/home', 'HomeController@index')->name('home');

Route::group(['prefix' => 'admin'], function()  {

    Route::resource('users', 'UserController')->middleware('role:HR_Manager');
    Route::resource('roles', 'RoleController')->middleware('role:HR_Manager');
    Route::resource('permissions', 'PermissionController')->middleware('role:HR_Manager');
    Route::resource('nationalities', 'NationalityController')->middleware('role:HR_Manager|HR_Employee');
}); 

Route::get('users/{id}/changeState', 'UserController@changeState')->name('users.changeState')->middleware('role:HR_Manager');

Route::get('nationalities/{id}/changeState', 'NationalityController@changeState')->name('nationalities.changeState')->middleware('role:HR_Manager|HR_Employee');

Route::resource('jobs', 'JobController')->middleware('role:HR_Manager');

Route::get('jobs/{id}/changeState', 'JobController@changeState')->name('jobs.changeState')->middleware('role:HR_Manager');

Route::resource('canceled_jobs', 'CanceledJobController')->middleware('role:HR_Manager');

Route::get('canceled_jobs/{id}/changeState', 'CanceledJobController@changeState')->name('canceled_jobs.changeState')->middleware('role:HR_Manager');

Route::resource('qualifications', 'QualificationController')->middleware('role:HR_Manager|HR_Employee');

Route::get('qualifications/{id}/changeState', 'QualificationController@changeState')->name('qualifications.changeState')->middleware('role:HR_Manager|HR_Employee');

Route::resource('jobs_descriptions', 'JobsDescriptionController')->middleware('role:HR_Manager|HR_Employee');

Route::get('jobs_descriptions/{id}/changeState', 'JobsDescriptionController@changeState')->name('jobs_descriptions.changeState')->middleware('role:HR_Manager|HR_Employee');

Route::resource('classes_contracts', 'ClassesContractController')->middleware('role:HR_Manager|HR_Employee');

Route::get('classes_contracts/{id}/changeState', 'ClassesContractController@changeState')->name('classes_contracts.changeState')->middleware('role:HR_Manager|HR_Employee');

Route::resource('jobs_level', 'JobsLevelController')->middleware('role:HR_Manager|HR_Employee');

Route::get('jobs_level/{id}/changeState', 'JobsLevelController@changeState')->name('jobs_level.changeState')->middleware('role:HR_Manager|HR_Employee');

Route::resource('social_situations', 'SocialSituationController')->middleware('role:HR_Manager|HR_Employee');

Route::get('social_situations/{id}/changeState', 'SocialSituationController@changeState')->name('social_situations.changeState')->middleware('role:HR_Manager|HR_Employee');

Route::resource('employees', 'EmployeeController')->middleware('role:HR_Manager|HR_Employee');

Route::get('employees/{id}/changeState', 'EmployeeController@changeState')->name('employees.changeState')->middleware('role:HR_Manager|HR_Employee');

Route::resource('courses', 'CourseController')->middleware('role:HR_Manager|HR_Employee');

Route::get('courses/{id}/changeState', 'CourseController@changeState')->name('courses.changeState')->middleware('role:HR_Manager|HR_Employee');

Route::resource('employee_courses', 'EmployeesCourseController')->middleware('role:HR_Manager|HR_Employee');

Route::get('employee_courses/{id}/changeState', 'EmployeesCourseController@changeState')->name('employee_courses.changeState')->middleware('role:HR_Manager|HR_Employee');

Route::resource('assignments', 'AssignmentController')->middleware('role:HR_Manager|HR_Employee');

Route::get('employee_trans', 'AssignmentController@employeeTrans')->name('employee_trans')->middleware('role:HR_Manager|HR_Employee');

Route::resource('employees_qualifications', 'EmployeeQualificationController')->middleware('role:HR_Manager|HR_Employee');

Route::get('employees_qualifications/{id}/changeState', 'EmployeeQualificationController@changeState')->name('employees_qualifications.changeState')->middleware('role:HR_Manager|HR_Employee');

Route::resource('employee_cotracts', 'EmployeeCotractController')->middleware('role:HR_Manager|HR_Employee');

Route::get('employee/cotracts/{employee}', 'EmployeeCotractController@new')->name('employee_cotracts.new')->middleware('role:HR_Manager|HR_Employee');

Route::get('employee/cotracts/{employee}/renew', 'EmployeeCotractController@renew')->name('employee_cotracts.renewv')->middleware('role:HR_Manager|HR_Employee');

Route::post('employee/cotracts/{employee}/renew', 'EmployeeCotractController@renewPost')->name('employee_cotracts.renew')->middleware('role:HR_Manager|HR_Employee');

Route::get('employee/cotracts/{id}/decline', 'EmployeeCotractController@decline')->name('employee_cotracts.decline')->middleware('role:HR_Manager|HR_Employee');

Route::get('employee_cotracts/{id}/changeState', 'EmployeeCotractController@changeState')->name('employee_cotracts.changeState')->middleware('role:HR_Manager|HR_Employee');

Route::resource('structures', 'StructureController')->middleware('role:HR_Manager');

Route::get('structures/{id}/changeState', 'StructureController@changeState')->name('structures.changeState')->middleware('role:HR_Manager');

Route::resource('efficiencies', 'EfficiencyController')->middleware('role:HR_Manager|Basic_User');

Route::get('efficiencies/{employee_id}/{year}/show', 'EfficiencyController@show')->name('efficiencies.show')->middleware('role:HR_Manager|Basic_User');

Route::get('efficiencies/{employee_id}/{year}/edit', 'EfficiencyController@edit')->name('efficiencies.edit')->middleware('role:HR_Manager|Basic_User');

Route::resource('overdue', 'OverdueController')->middleware('role:HR_Manager');

Route::get('overdue/{employee}/putin', 'OverdueController@putin')->name('overdue.putin')->middleware('role:HR_Manager');

Route::get('overdue/{employee}/putout', 'OverdueController@putout')->name('overdue.putout')->middleware('role:HR_Manager|HR_Employee');

Route::get('profile', 'ProfileController@show')->name('profile.show');

Route::get('profile/edit', 'ProfileController@edit')->name('profile.edit');

Route::put('profile', 'ProfileController@update')->name('profile.update');

Route::get('jobOpportunities', 'ReportController@jobOpportunities')->name('jobOpportunities')->middleware('role:HR_Manager|HR_Employee');

Route::get('jobNotOpportunities', 'ReportController@jobNotOpportunities')->name('jobNotOpportunities')->middleware('role:HR_Manager|HR_Employee');

Route::get('jobcanceled', 'ReportController@jobcanceled')->name('jobcanceled')->middleware('role:HR_Manager|HR_Employee');

resources/views/home.blade.php
@extends('layouts.main') 
@section('page-title') الرئيسية
@endsection
 @php $employees = \App\Employee::all(); $today_employees
= \App\Employee::all()->where('created_at' ,'<=', \Carbon\Carbon::now());
  $emps = \App\Employee::all()->pluck(' job_description_id');
  $jobNotOpportunities  =  \App\Job::notAvailable()->count();
  $jobOpportunities = \App\Job::onlyAvailable()->count();
  $overdueEmployees = \App\Employee::all()->where('overdue' ,true);

$a = App\Employee::where('qualification_id',5)->count();
$b =App\Employee::where('qualification_id',6)->count();
$c =App\Employee::where('qualification_id',7)->count();
$d =App\Employee::where('qualification_id',8)->count();
$e =App\Employee::where('qualification_id',0)->count();
$totalcert = $a + $b +$c + $d + $e;
@endphp

@section('content')
  <div class="row">
    <div class="col col-md-4 grid-margin stretch-card">
      <div class="card card-statistics">
        <div class="card-body">
          <div class="clearfix">
            <div class="float-left">
              <i class="mdi mdi-account text-danger icon-lg"></i>
            </div>
            <div class="float-right">
              <p class="mb-0 text-right"> عدد الموظفين</p>
              <div class="fluid-container">
                <h3 class="font-weight-medium text-right mb-0">{{ $employees->count() }}</h3>
              </div>
            </div>
          </div>
          <p class="text-muted mt-3 mb-0">
            <i class="mdi mdi-alert-octagon mr-1" aria-hidden="true"></i> الموظفين الجدد {{ $today_employees->count() }}
            {{-- <a class="mdi mdi-account mr-1" href="{{ route('employees.index') }}">الموظفين</a> --}}
          </p>
        </div>
      </div>
    </div>
    <div class="col col-md-4 grid-margin stretch-card">
      <div class="card card-statistics">
        <div class="card-body">
          <div class="clearfix">
            <div class="float-left">
              <i class="mdi mdi-account text-danger icon-lg"></i>
            </div>
            <div class="float-right">
              <p class="mb-0 text-right"> عدد الموظفين داخل الملاك</p>
              <div class="fluid-container">
                <h3 class="font-weight-medium text-right mb-0">{{ App\Employee::where('overdue',1)->count() }}</h3>
              </div>
            </div>
          </div>
          <p class="text-muted mt-3 mb-0">
            <i class="mdi mdi-bookmark-outline mr-1" aria-hidden="true"></i> حتى تاريخ {{ \Carbon\Carbon::now()->toDateString() }}

          </p>
        </div>
      </div>
    </div>
    <div class="col col-md-4 grid-margin stretch-card">
      <div class="card card-statistics">
        <div class="card-body">
          <div class="clearfix">
            <div class="float-left">
              <i class="mdi mdi-account text-danger icon-lg"></i>
            </div>
            <div class="float-right">
              <p class="mb-0 text-right"> عدد الموظفين خارج الملاك</p>
              <div class="fluid-container">
                <h3 class="font-weight-medium text-right mb-0">{{ App\Employee::where('overdue',0)->count() }}</h3>
              </div>
            </div>
          </div>
          <p class="text-muted mt-3 mb-0">
            <i class="mdi mdi-bookmark-outline mr-1" aria-hidden="true"></i> حتى تاريخ {{ \Carbon\Carbon::now()->toDateString() }}
            <a class="mdi mdi-account mr-1" href="{{ route('overdue.index') }}">الموظفين خارج الملاك</a>
          </p>
        </div>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col col-md-4 grid-margin stretch-card">
      <div class="card card-statistics">
        <div class="card-body">
          <div class="clearfix">
            <div class="float-left">
              <i class="mdi mdi-briefcase text-warning icon-lg"></i>
            </div>
            <div class="float-right">
              <p class="mb-0 text-right">إجمالي الوظائف الشاغرة</p>
              <div class="fluid-container">
                <h3 class="font-weight-medium text-right mb-0">{{ $jobOpportunities }}</h3>
              </div>
            </div>
          </div>
          <p class="text-muted mt-3 mb-0">
            <i class="mdi mdi-briefcase mr-1" aria-hidden="true"></i> حتى تاريخ {{ \Carbon\Carbon::now()->toDateString() }}
          </p>
        </div>
      </div>
    </div>
    <div class="col col-md-4 grid-margin stretch-card">
      <div class="card card-statistics">
        <div class="card-body">
          <div class="clearfix">
            <div class="float-left">
              <i class="mdi mdi-briefcase text-success icon-lg"></i>
            </div>
            <div class="float-right">
              <p class="mb-0 text-right">إجمالي الوظائف المشغولة</p>  
              <div class="fluid-container">
                <h3 class="font-weight-medium text-right mb-0">{{ $jobNotOpportunities }}</h3>
              </div>
            </div>
          </div>
          <p class="text-muted mt-3 mb-0">
            <i class="mdi mdi-bookmark-outline mr-1" aria-hidden="true"></i> حتى تاريخ {{ \Carbon\Carbon::now()->toDateString() }}
          </p>
        </div>
      </div>
    </div>
    <div class="col col-md-4 grid-margin stretch-card">
      <div class="card card-statistics">
        <div class="card-body">
          <div class="clearfix">
            <div class="float-left">
              <i class="mdi mdi-briefcase text-danger icon-lg"></i>
            </div>
            <div class="float-right">
              <p class="mb-0 text-right"> عدد الوظائف خارج الملاك</p>
              <div class="fluid-container">
                <h3 class="font-weight-medium text-right mb-0">{{ App\Job::where('canceled',1)->count() }}</h3>
              </div>
            </div>
          </div>
          <p class="text-muted mt-3 mb-0">
            <i class="mdi mdi-bookmark-outline mr-1" aria-hidden="true"></i> حتى تاريخ {{ \Carbon\Carbon::now()->toDateString() }}
            <a class="mdi mdi-briefcase mr-1" href="{{ route('canceled_jobs.index') }}">الوظائف خارج الملاك</a>
          </p>
        </div>
      </div>
    </div>
  </div>

    <div class="row">
    <div class="col col-md-6 grid-margin stretch-card">
      <div class="card card-statistics">
        <div class="card-body">
          <h5> عدد الموظفين في المستويات التلاتة </h5>
          <div class="clearfix">
          <div class="row">
            <div class="col col-md-4">العليا<br>
          
          <p class="text-muted mt-3 mb-0">
            {{ App\Employee::where('job_level_id',1)->count() }}
          </p>
            </div>
            <div class="col col-md-4">التنفيدية <br>
             <p class="text-muted mt-3 mb-0">
              {{ App\Employee::where('job_level_id',2)->count() }}
            </p>
            </div>
            <div class="col col-md-4">الاساسية <br>
            <p class="text-muted mt-3 mb-0">
              {{ App\Employee::where('job_level_id',3)->count() }}
            </p>
            </div>
          </div>

        </div>
      </div>
    </div>
    </div>
       <div class="col col-md-6 grid-margin stretch-card">
      <div class="card card-statistics">
        <div class="card-body">
          <h5> عدد الموظفين في المؤهلات العلمية </h5>
          <div class="clearfix">
          <div class="row">
            <div class="col col-md-2">دكتوراة <br>
          
          <p class="text-muted mt-3 mb-0">
            {{ App\Employee::where('qualification_id',1)->count() }}
          </p>
            </div>
            <div class="col col-md-2">ماجستير <br>
             <p class="text-muted mt-3 mb-0">
              {{ App\Employee::where('qualification_id',2)->count() }}
            </p>
            </div>
            <div class="col col-md-2">بكالوريس <br>
            <p class="text-muted mt-3 mb-0">
              {{ App\Employee::where('qualification_id',3)->count() }}
            </p>
            </div>
            <div class="col col-md-2">ليسانس <br>
              <p class="text-muted mt-3 mb-0">
                {{ App\Employee::where('qualification_id',4)->count() }}
              </p>
            </div>
            <div class="col col-md-2">اخرى <br>
              <p class="text-muted mt-3 mb-0">
                {{$totalcert}}
              </p>
            </div>
          </div>

        </div>
      </div>
    </div>

  </div>

@endsection







@section('scripts')
<script>
$(function() {

/* ChartJS

* -------
* Data and config for chartjs
*/

'use strict';

var count = [];

var t = ['بكالوريس' ,'دبلوم','ماستر','دكتوراة','تانوية' ];
var number_of_employees = {!! json_encode($arr) !!};

var data = {
labels: t,
datasets: [{
label:'# of Votes',
data: number_of_employees,
backgroundColor: [
'rgba(255, 99, 132, 0.2)',
'rgba(54, 162, 235, 0.2)',
'rgba(255, 206, 86, 0.2)',
'rgba(75, 192, 192, 0.2)',
'rgba(153, 102, 255, 0.2)',
'rgba(255, 159, 64, 0.2)'
],
borderColor: [
'rgba(255,99,132,1)',
'rgba(54, 162, 235, 1)',
'rgba(255, 206, 86, 1)',
'rgba(75, 192, 192, 1)',
'rgba(153, 102, 255, 1)',
'rgba(255, 159, 64, 1)'
],
borderWidth: 1
}]
};
if ($( "#barChart").length) { var barChartCanvas=$ ("#barChart").get(0).getContext( "2d");
// This will get the first returned node in the jQuery collection. 
var barChart=new Chart(barChartCanvas,{ type:'bar', data: data }); } }); </script>
@endsection